gnutls_x509_crl_get_issuer_dn(3)

NAME
gnutls_x509_crl_get_issuer_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_issuer_dn(const gnutls_x509_crl_t crl, char * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

char * buf
    a pointer to a structure to hold the peer's name (may be null)

size_t * sizeof_buf
    initially holds the size of buf

DESCRIPTION
This function will copy the name of the CRL issuer in the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. If buf is NULL then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the sizeof_buf will be updated with the required size, and 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2015 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/